<?php

namespace PixelioCartAbandonRecoveryMore\Frontend\Models;


class Pixelio_Cart_Abandon_Recovery_More_Cart_Model
{



	public function __construct(
	)
	{
	}

	public function resolve_cart_status(int $current_status, int $consent): int
	{
		if ($consent === 1) {

			return match ($current_status) {
				5 => 14,
				14 => 15,
				15 => 16,
				default => $current_status
			};

		}

		if ($current_status === 5) {
			return 23;
		}

		return $current_status;
	}


}
